• 1095 Players on Java
  • us.mineplex.com
  • 3674 Players Online
  • 2579 Players on Bedrock
  • us.mineplex.com
!
Attention Internet Explorer Users
To have the best user experience on our site please consider upgrading to Google Chrome or Mozilla Firefox

Implemented Add 1.15 support

Discussion in 'General Idea Discussion' started by Tails The Fox, Dec 10, 2019.

Thread Status:
Not open for further replies.
  1. Heya
    Recently mojang released minecraft 1.15 and I tried to join Mineplex with 1.15 and then it says Outdated server. Mineplex should add 1.15 support so Users with 1.15 can join.

    EDIT: Yes i know you can switch to and older version but what if someone does not want too?
     
    Posted Dec 10, 2019,
    Last edited Dec 11, 2019
  2. Although Mineplex has not yet updated to 1.15, you can easily load up the game using an older version. For me, I am using 1.14.4. When you open the main Minecraft application on your computer, before pressing play, change the version. To do this, there should be different options to choose from at the mid-center of the application. There are 4 different options to choose from: Play, Installations, Skins, & Patch notes. Choose the Installations option and click where it says "+ New". Choose the drop-down menu under "Version" and choose the version in which you feel most comfortable playing. For myself, I chose 1.14.4. After choosing that version, Mineplex should load up perfectly as it has before. Mineplex usually only takes about a week or two to update to the current version. After they do, you should be able to load up the client using 1.15.

    If you have any questions or further concerns about doing so feel free to shoot me a PM!
     
    Posted Dec 10, 2019
    zHalo likes this.
  3. Hello,

    As stated above by @fredericksburg that you can change your version to an older one to be able to join. Mineplex will soon update to the latest version of Minecraft you just need to be patient for them to do so.

    This will already be happening so, +1.

    Happy suggesting,
    BlackConfig.
     
    Posted Dec 10, 2019
  4. Hey!

    So it is very likely that support will be added for players to use newer versions like 1.15, but this stuff is not instant and does take some time. Us staff members do not have an exact date, but there are some testings that need to occur to ensure that there are no major bugs or issues before the server supports 1.15 for the players. So no need to worry, just give it some time and we should hopefully see support for 1.15. Alternatively, play on a lower version of Minecraft such as 1.8.9 which is what I use until the server is updated.
     
    Posted Dec 11, 2019
    Wrappingz likes this.
  5. already there are some bug- wait i think ill report that in the form thingy and not here lol
     
    Posted Dec 11, 2019
  6. Yeah so as it was stated above 1.15 support will be added very soon. It's most likely just going to take a little bit and when it does come out there will likely be bugs with it. I use 1.14.4 and items like signs are just stone blocks for me, so I'm not sure what this new update will mean. Not even bigger servers like -snip- have this added this feature yet. So odds are it will take at least a week or so. +1.
     
    Posted Dec 11, 2019
  7. Hey there!

    Thanks for the suggestion about allowing 1.15 players to join the server. I can let you know that in the future we do plan on adding in 1.15 support. However, I would like to remind you that the best version to use would be 1.8.9, as that is what most of the games use and will give you the best experience. While it is not prohibited, using new version like 1.14 (and 1.15 soon) can often encounter more bugs on the server than players using 1.8.9. Updates like this take a lot more time to roll out to the entire server, so please keep that in mind while waiting. At the moment, there is no ETA for when it can be expected. I'll be marked this as "Processed" since it is planned. Let me know if you have any questions or concerns.
     
    Posted Dec 11, 2019
    M4RK7000, Gzen (away) and nolawn like this.
  8. Mark as implemented?
     
    Posted Dec 20, 2019
  9. Since this got implemented quite recently, I’ll be locking this thread and marking it as Implemented. If you have any other ideas, feel free to create another thread. Happy holidays, and have fun if you want to play Mineplex using 1.15!
     
    Posted Dec 21, 2019
    Gzen (away) likes this.
Thread Status:
Not open for further replies.

Share This Page